package jp.co.tecnosdsm.statusbelt.model;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 */
@Data @AllArgsConstructor
public class ApiResult {
    private boolean success = true;
    private Anomaly anomaly;
    private List<Spectrum> spectrums;

    public static ApiResult fail() {
        return new ApiResult(false, null, null);
    }
}
