package jp.co.tecnosdsm.statusbelt.cli;

import lombok.Data;
import org.kohsuke.args4j.Option;

/**
 */
@Data
public class CommandParameter {
    @Option(name = "-p", aliases = "--port", required = true, usage = "Port for App server")
    private int port;

    @Option(name = "-dh", aliases = "--db-hostname", required = true, usage = "Database Hostname")
    private String dbHostname;

    @Option(name = "-dn", aliases = "--db-name", required = true, usage = "Database Name")
    private String dbName;

    @Option(name = "-du", aliases = "--db-user", required = true, usage = "Database User")
    private String dbUser;

    @Option(name = "-dp", aliases = "--db-password", required = true, usage = "Database Password")
    private String dbPassword;

}
