# Map 1-based optional input ports to variables
dataset1 <- maml.mapInputPort(1) # class: data.frame
dataset2 <- maml.mapInputPort(2) # class: data.frame

ret <- as.data.frame(t(dataset1))
colnames(ret) <- "spectrum"

ret$time <- as.POSIXct(as.character(dataset2$time), format="%Y%m%d%H%M%S", tz=Sys.timezone())
ret$nrow <- 1:nrow(ret)

maml.mapOutputPort("ret");
